* {
	margin: 0;
	padding: 0;
	--disabled-btn: #e0e0e0;
}

button {
	margin: 0em 0 0.5em 0;
	padding: 0.5em 1em;
	border: none;
	background-color: #007BFF;
	color: white;
	cursor: pointer;
	font-size: 1em;
	border-radius: 5px;
	transition: background-color 0.3s ease;
	display: block;
	width: 100%;
}

button[disabled] {
	background-color: var(--disabled-btn);
	color: graytext;
}

html {
	height: 100%;
}

body {
	display: grid;
	height: 100%;
}

main {
	display: flex;
	justify-content: center;
	margin: 2em 0px;
	gap: 1em;
	border: 2px solid black;
	border-radius: 1em;
	box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
	width: fit-content;
	height: fit-content;
	margin-inline: auto;
	padding: 2em;
}

canvas {
	border: 1px solid black;
}

div#status {
	display: flex;
	flex-direction: column;
	align-items: stretch;
	gap: 1em;
}

div#status p {
	display: flex;
	align-items: center;
	gap: .5em;
	margin-inline: 1em;
	font-size: large;
	font-family: 'Courier New', Courier, monospace;
}

@media screen and (max-width: 750px) {
	main {
		flex-direction: column;
		align-items: center;
	}

	div#status {
		flex-direction: row;
	}
}

div.restart {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	background-color: white;
	padding: 2em;
	text-align: center;
	z-index: 2;
	box-shadow: 0 2px 8px rgba(128, 128, 128, 0.5);
	border-radius: 8px;
	display: none;
}

div.restart .content {
	margin-bottom: 1em;
	font-family: Arial, sans-serif;
}